Validate a delivery selection
POST
/api/public/delivery/validate
const url = 'https://api.usegro.co/api/public/delivery/validate?delivery_date=example&slot_id=example&country_code=example&shop=example';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://api.usegro.co/api/public/delivery/validate?delivery_date=example&slot_id=example&country_code=example&shop=example'Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”delivery_date
required
string
slot_id
required
string
country_code
required
string
state_code
string
postcode
string
shop
required
string
Responses
Section titled “Responses”Delivery validation result
Media typeapplication/json
Example
{ "valid": true}Bad request
Media typeapplication/json
Example
{ "error": "Validation failed", "messages": [ "..." ]}